Get an event
Returns one event with its name, type, state, visibility, platform, region, banner, and description.
Parameters #
| Property | Type | Location | Description |
|---|---|---|---|
eventId | stringRequired | path | - |
Request #
curl --request GET 'https://strave.gg/api/v2/events/EVENT_ID' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response #
200Response for status 200400Response for status 400401Response for status 401403Response for status 403404Response for status 404429Response for status 429500Response for status 500503Response for status 503| Property | Type | Description |
|---|---|---|
data | objectRequired | - |
└id | stringRequired | - |
└organisationId | stringRequired | - |
└name | stringRequired | - |
└slug | stringRequired | - |
└type | stringRequired | - |
└visibility | stringRequired | - |
└state | stringRequired | - |
└platform | stringRequired | - |
└region | string | nullRequired | - |
└currency | stringRequired | - |
└completedAt | string | nullRequired | - |
└bannerUrl | string | nullRequired | - |
└description | string | nullRequired | - |
└firstStageId | string | nullRequired | - |
└revision | integerRequired | - |
Cost #
1 API unit